<?php
/**
 * Example footer include
 *
 * This file shows you how to use the include hooks. However I recommend to
 * create your own complete new template instead.
 */

$tgt = ($conf['target']['extern']!='') ? 'target="'.$conf['target']['extern'].'"' : '';
?>

  <div id="Footer" class="FooterBase">
    <p class="TextOnly">Informations sur la page&nbsp;:</p>

    <hr class="TextOnly" />
    <div id="FooterButtons">
<?php if ( ! defined('SVN') ) { ?>
      <span class="TextOnly">[</span>
        <a <?php echo $tgt?> href="http://validator.w3.org/check/referer" title="Valid XHTML 1.0" id="FooterBtnXhtml">
	<img src="<?php echo $conf['base_dir']; ?>/common/images/xhtml-valid.png" width="72" height="22" alt="Valid XHTML 1.0" />
        </a>
      <span class="TextOnly">]</span>

      <span class="TextOnly">[</span>
        <a <?php echo $tgt?> href="http://jigsaw.w3.org/css-validator/check/referer" title="Valid CSS" id="FooterBtnCss">
	<img src="<?php echo $conf['base_dir']; ?>/common/images/css-valid.png" width="72" height="22" alt="Valid CSS" />
        </a>
      <span class="TextOnly">]</span>
<?php } /* if !defined('SVN') */ ?>

      <span class="TextOnly">[</span>
        <a <?php echo $tgt?> href="http://www.slackware.com" title="Powered by Slackware Linux" id="FooterBtnSlack">
	<img src="<?php echo $conf['base_dir']; ?>/common/images/slackware-powered.png" width="72" height="22" alt="Powered by Slackware Linux" />
        </a>
      <span class="TextOnly">]</span>

      <span class="TextOnly">[</span>
        <a <?php echo $tgt?> href="http://httpd.apache.org/" title="Powered by Apache" id="FooterBtnApache">
	<img src="<?php echo $conf['base_dir']; ?>/common/images/apache-powered.png" width="72" height="22" alt="Powered by Apache" />
        </a>
	    <span class="TextOnly">]</span>

<?php if ( defined('DOKU_INC') ) {
  echo "      <span class=\"TextOnly\">[</span>\n";
  echo "        <a $tgt href=\"http://wiki.splitbrain.org/wiki:dokuwiki\" title=\"Driven by DokuWiki\" id=\"FooterBtnDW\">\n";
  echo "          <img src=\"".$conf['base_dir']."/common/images/dokuwiki-powered.png\" width=\"72\" height=\"22\" alt=\"Driven by DokuWiki\" />\n";
  echo "        </a>\n";
  echo "      <span class=\"TextOnly\">]</span>\n";
  tpl_license(false);
}

if ( defined('PUN') && !defined('DOKU_INC') && !defined('PORTAIL') ) {
  echo "      <span class=\"TextOnly\">[</span>\n";
  echo "        <a href=\"http://fluxbb.org/\" title=\"Driven by FluxBB\" id=\"FooterBtnFluxbb\">\n";
  echo "         <img src=\"".$conf['base_dir']."/common/images/fluxbb-powered.png\" width=\"72\" height=\"22\" alt=\"Driven by FluxBB\" />\n";
  echo "        </a>\n";
  echo "      <span class=\"TextOnly\">]</span>\n";
}

if ( defined('SVN') ) {
  echo "      <span class=\"TextOnly\">[</span>\n";
  echo "        <a href=\"http://websvn.tigris.org/\" title=\"Driven by WebSVN\" id=\"FooterBtnWebSVN\">\n";
  echo "         <img src=\"".$conf['base_dir']."/common/images/WebSVN-powered.png\" width=\"72\" height=\"22\" alt=\"Driven by WebSVN\" />\n";
  echo "        </a>\n";
  echo "      <span class=\"TextOnly\">]</span>\n";
}
?>
    </div> <!-- Fin de #FooterButtons -->

<?php
if ( $conf['allowdebug'] && defined('DOKU_INC') ) {
    echo '<!-- page made in '.round(delta_time(DOKU_START_TIME), 3).' seconds -->';
}
?>

  </div> <!-- Fin de #FooterBase -->
