#!/bin/sh
#
# POST.SH - perform the post-installation of "Linux From Slack".
#
# c. 2007-10-13
# r. 2007-10-13 0

# In english because the locales won't be installed yet.

unset TAG ARG DIR

TAG=$(cd $(dirname $0); pwd)
DIR=${1:-"."}
for ARG in l n x; do
    if [ -d $DIR/$ARG ]; then
        ( cd $DIR/$ARG
        /sbin/installpkg -menu -tagfile $TAG/$ARG/tagfile *.tgz 
        )
    else
        echo "Warning: can't find the "$DIR/$ARG" directory. Installation skipped."
    fi
done


# EOF
