a:25:{i:0;a:3:{i:0;s:14:"document_start";i:1;a:0:{}i:2;i:0;}i:1;a:3:{i:0;s:6:"p_open";i:1;a:0:{}i:2;i:0;}i:2;a:3:{i:0;s:6:"smiley";i:1;a:1:{i:0;s:5:"FIXME";}i:2;i:1;}i:3;a:3:{i:0;s:7:"p_close";i:1;a:0:{}i:2;i:6;}i:4;a:3:{i:0;s:6:"p_open";i:1;a:0:{}i:2;i:6;}i:5;a:3:{i:0;s:5:"cdata";i:1;a:1:{i:0;s:1:"
";}i:2;i:8;}i:6;a:3:{i:0;s:7:"p_close";i:1;a:0:{}i:2;i:9;}i:7;a:3:{i:0;s:12:"section_edit";i:1;a:4:{i:0;i:-1;i:1;i:8;i:2;i:1;i:3;s:0:"";}i:2;i:9;}i:8;a:3:{i:0;s:6:"header";i:1;a:3:{i:0;s:9:"libdvdcss";i:1;i:1;i:2;i:9;}i:2;i:9;}i:9;a:3:{i:0;s:12:"section_open";i:1;a:1:{i:0;i:1;}i:2;i:9;}i:10;a:3:{i:0;s:6:"p_open";i:1;a:0:{}i:2;i:32;}i:11;a:3:{i:0;s:5:"cdata";i:1;a:1:{i:0;s:48:"
Libdvdcss vous permet de lire des DVDs encodés";}i:2;i:33;}i:12;a:3:{i:0;s:7:"p_close";i:1;a:0:{}i:2;i:81;}i:13;a:3:{i:0;s:6:"p_open";i:1;a:0:{}i:2;i:81;}i:14;a:3:{i:0;s:5:"cdata";i:1;a:1:{i:0;s:20:"Url vers le source: ";}i:2;i:83;}i:15;a:3:{i:0;s:12:"externallink";i:1;a:2:{i:0;s:49:"http://download.videolan.org/pub/libdvdcss/1.2.9/";i:1;s:9:"libdvdcss";}i:2;i:103;}i:16;a:3:{i:0;s:7:"p_close";i:1;a:0:{}i:2;i:166;}i:17;a:3:{i:0;s:13:"section_close";i:1;a:0:{}i:2;i:168;}i:18;a:3:{i:0;s:12:"section_edit";i:1;a:4:{i:0;i:9;i:1;i:167;i:2;i:1;i:3;s:9:"libdvdcss";}i:2;i:168;}i:19;a:3:{i:0;s:6:"header";i:1;a:3:{i:0;s:10:"slackbuild";i:1;i:2;i:2;i:168;}i:2;i:168;}i:20;a:3:{i:0;s:12:"section_open";i:1;a:1:{i:0;i:2;}i:2;i:168;}i:21;a:3:{i:0;s:4:"code";i:1;a:2:{i:0;s:2335:"
#!/bin/sh
# 
# Slackbuild for libdvdcss
# Tchesmeli serge for slackfr.org


CWD=`pwd`

if [ "$TMP" = "" ]; then
 TMP=/tmp
fi

if [ ! -d $TMP ]; then
 mkdir -p $TMP || exit 1
fi

PKG=$TMP/package-libdvdcss

VERSION=1.2.9
ARCH=${ARCH:-i486}
BUILD=${BUILD:-2}
AUTHOR=slackfr
DIST=12.0

if [ "$ARCH" = "i386" ]; then
 SLKCFLAGS="-O2 -march=i386 -mcpu=i686"
 elif [ "$ARCH" = "i486" ]; then
 SLKCFLAGS="-O2 -march=i486 -mtune=i686"
fi

rm -rf $PKG
mkdir -p $PKG

cd $TMP
rm -rf libdvdcss-$VERSION
tar jxvf $CWD/libdvdcss-$VERSION.tar.bz2 || exit 1
cd libdvdcss-$VERSION

chown root.root .

./bootstrap
CFLAGS=$SLKCFLAGS \
./configure --prefix=/usr \
            --sysconfdir=/etc \
            --mandir=/usr/man \
            --infodir=/usr/info \
            --enable-shared

sed -i s"/SUBDIRS = src test doc/SUBDIRS = src test/" Makefile
sed -i s"/^doc-dummy:/#doc-dummy/" Makefile
sed -i s"/^doc: doc-dummy/#doc: doc-dummy/" Makefile
sed -i s"/^.*\$(MAKE) -C doc doc/#\$(MAKE) -C doc doc/" Makefile

make || exit 1
make install DESTDIR=$PKG || exit 1

( cd $PKG
 chown -R root.root .
 find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
 find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
)

cd $TMP/libdvdcss-$VERSION
mkdir -p $PKG/usr/doc/libdvdcss-$VERSION
cp -a AUTHORS ChangeLog doc/ NEWS README \
  $PKG/usr/doc/libdvdcss-$VERSION

gzip -9 $PKG/usr/man/man?/*

mkdir -p $PKG/install
cat > $PKG/install/slack-desc << EOF
# HOW TO EDIT THIS FILE:
# The "handy ruler" below makes it easier to edit a package description.  Line
# up the first '|' above the ':' following the base package name, and the '|'
# on the right side marks the last column you can put a character in.  You must
# make exactly 11 lines for the formatting to be correct.  It's also
# customary to leave one space after the ':'.
        |-----handy-ruler------------------------------------------------------|
libdvdcss: LibdvdCss
libdvdcss:
libdvdcss:
libdvdcss: Libdvdcss allow you to read CSS encoded DVDs
libdvdcss:
libdvdcss:
libdvdcss:
libdvdcss:
libdvdcss:
libdvdcss:
libdvdcss:                             Packaged by Tchesmeli Serge for slackfr.org
EOF

cd $PKG
makepkg -l y -c n ../libdvdcss-$VERSION-$ARCH-$BUILD$AUTHOR$DIST.tgz
";i:1;s:4:"bash";}i:2;i:196;}i:22;a:3:{i:0;s:13:"section_close";i:1;a:0:{}i:2;i:2546;}i:23;a:3:{i:0;s:12:"section_edit";i:1;a:4:{i:0;i:168;i:1;i:0;i:2;i:2;i:3;s:10:"slackbuild";}i:2;i:2546;}i:24;a:3:{i:0;s:12:"document_end";i:1;a:0:{}i:2;i:2546;}}