#!/bin/sh
#
# descit make the dirty work for you making the formatage of slack-desc file
#
# this script is under Cecill licence (http://www.cecill.info/) Copyright Jerome "asteroid" Prior mailto l.asteroid hat laposte coin net

SLACKDESC=slack-desc

#check is there an existing slack-desc file in current directory
if [ -e $SLACKDESC ]; then
	echo "$SLACKDESC already exists and will be overwritten. ^C to exit"
	echo "           ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^"
fi

### the user write the build
#giving name or reading it in $1
if [ -z $1 ]; then
		echo -n "Enter the name of the package : "
		read NAME
	else
	NAME=$1
fi	
#check if name is given, it is the minimum
  if [ -z $NAME ]; then echo "you must enter a name for the package : $0 quit" && exit; fi

#maybe enter a short description
echo -n "Enter a short description of the package (facultative) : "
	read LTLDSCX
	if [ ! -z "$LTLDSCX" ];then
	LTLDSC=\($LTLDSCX\)
	fi

#maybe you would want to give url in slack-desc ?
echo -n "Enter the url homepage of the project (facultative) : "
	read URLX
	if [ ! -z $URLX ];then
URL="Visit the $NAME homepage project at
  $URLX"
	fi


echo -n "Enter the long description of the package (end it by ^d): "
#read -d % LNGDSC #must end desc by %
LNGDSC=$(cat) #must end desc by ^d

#format the long description. For that we count howmany the $NAME have caracter and wrap desc to 78-$NAME_char
#why 78 ? a standard console is 80 weidth. name: description < here ": " count for 2 caracters. 80-2=78 \o/ I've got BTS I say !
NAME_CHAR=$(echo -n $NAME | wc -m)
WRAP=$((78-$NAME_CHAR))

echo "$NAME $LTLDSC" > $SLACKDESC
echo "" >> $SLACKDESC
echo "$LNGDSC" | fold -s -w $WRAP >> $SLACKDESC
echo "" >> $SLACKDESC
echo -e "$URL" >> $SLACKDESC

sed -i "s/^/$NAME: /" $SLACKDESC

#Now let's count for the slack-desc count at least 11 lines (see line 321 of /sbin/installpkg for detail)
LENGHT=$(wc -l $SLACKDESC | cut -d " " -f 1)
if [ $LENGHT -gt 11 ]; then
	echo "WARNING : too long slack-desc"
	echo "maybe you have to enter a shorter description"
elif [ $LENGHT -eq 11 ]; then 
	exit
else
	while [ $LENGHT -lt 11 ]; do
		echo "$NAME: " >> $SLACKDESC
		LENGHT=$(($LENGHT+1))
	done
fi
