#!/bin/sh
# to check if pkg.tgz exist on our slackware
PAGER=most
MSG="no package found, try a less restrictive word"

usage() {
echo "	ispkg foo 	 to find if 'foo' is in /var/log/package";
echo "	ispkg foo -s 	 to find if 'foo' exist and to show is content";
echo "	ispkg -f bar	 to find bar file in a package in insensitive way";
echo "	ispkg -F bar	 to find bar file in a package in sensitive way";
}


showit() {
if [ "$PKG" != "$MSG" ]; then
$PAGER /var/log/packages/$PKG
else echo $PKG
fi
}


if [ ! $1 ]; then usage; exit;
	else
		case $1 in
			-f) grep -i $2 /var/log/packages/*;;
			-F) grep  $2 /var/log/packages/*;;
                        *) PKG=$(ls /var/log/packages/ | grep -i $1)
	if [ -z "$PKG" ]; then PKG=$MSG; 
	fi
		case $2 in
		'')  echo $PKG;;
		-s) showit $1 
		esac
		esac
fi
