<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
 "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<?php
/**
 * DokuWiki Default Template
 *
 * This is the template for the media manager popup
 *
 * You should leave the doctype at the very top - It should
 * always be the very first line of a document.
 *
 * @link   http://wiki.splitbrain.org/wiki:tpl:templates
 * @author Andreas Gohr <andi@splitbrain.org>
 */
?>
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="<?php echo $conf['lang']?>" lang="<?php echo $conf['lang']?>" dir="ltr">
<head>
  <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
  <title>
    <?php echo hsc($lang['mediaselect'])?>
    [<?php echo strip_tags($conf['title'])?>]
  </title>

  <?php tpl_metaheaders()?>
  <?php /*old includehook*/ @include('meta.php')?>
  <link rel="stylesheet"           media="all"    type="text/css" title="default"  href="/common/css/wiki.css" />
</head>

<body>

  <?php html_msgarea()?>

  <div id="SideBar" class="mediamanager">

    <div id="WikiActionLink1" class="BlockBase SideBarElement ActionLink">
        <?php html_msgarea()?>
        <h1><?php echo hsc($lang['mediaselect'])?></h1>

        <?php /* keep the id! additional elements are inserted via JS here */?>
        <div id="media__opts"></div>

        <?php tpl_mediaTree() ?>
    </div> <!-- Fin de #WikiActionLink1 -->

  </div> <!-- Fin de #sidebar -->

  <div id="Main" class="BlockBase mediamanager">

    <div id="WikiContent">
        <?php tpl_mediaContent() ?>
    </div> <!-- Fin de #WikiContent -->

  </div> <!-- fin de #Main -->

</body>
</html>
