<?php
/*
 * This is not currently part of the official Dokuwiki release
 *
 * This work is based on the Sidebar by
 * @author Christopher Smith <chris@jalakai.co.uk>
 *
 * @author Jonesy <jonesy@oryma.org>
 */

require_once('yani_html.php');

// display the sidebar
function tpl_sidebar() {
	global $ID, $REV, $conf;

	// save globals
	$saveID = $ID;
	$saveREV = $REV;

        global $IDX;
	// Use our own function.
        yani_html_index($IDX);

	// restore globals
	$ID = $saveID;
	$REV = $saveREV;
}

if (!function_exists('tpl_pagename')) {

	require_once(DOKU_INC.'inc/parserutils.php');

    /**
     * Returns the name of the given page (current one if none given).
     *
     * If useheading is enabled this will use the first headline else
     * the given ID is printed.
     *
     * based on tpl_pagetitle in inc/template.php
     */
    function tpl_pagename($id=null){
      global $conf;
      if(is_null($id)){
        global $ID;
        $id = $ID;
      }

      $name = $id;
      if ($conf['useheading']) {
        $title = p_get_first_heading($id);
        if ($title) $name = "$title ...";
      }
      return hsc($name);
    }

}

?>
